'''
    TEMPLATE FOR MACHINE LEARNING HOMEWORK
    AUTHOR Eric Eaton
'''

import numpy as np

class NeuralNet:

    def __init__(self, layers, learningRate, regParam, epsilon=0.12, numEpochs=100):
        '''
        Constructor
        Arguments:
        	layers - a numpy array of L-2 integers (L is # layers in the network)
        	learningRate - the learning rate for backpropagation
        	regParam - the regularization parameter for the cost function
        	epsilon - one half the interval around zero for setting the initial weights
        	numEpochs - the number of epochs to run during training
        '''
      

    def fit(self, X, y):
        '''
        Trains the model
        Arguments:
            X is a n-by-d numpy array
            y is an n-dimensional numpy array
        '''


    def predict(self, X):
        '''
        Used the model to predict values for each instance in X
        Arguments:
            X is a n-by-d numpy array
        Returns:
            an n-dimensional numpy array of the predictions
        '''
    
    
    def visualizeHiddenNodes(self, filename):
        '''
        Outputs a visualization of the hidden layers
        Arguments:
            filename - the filename to store the image
        '''
        